# Add a document

`POST /workspace/library` · Rivier · content

Add a document.

- Scope: content:write
- Graphql: Mutation.contentLibraryUpload
- Sdk: content.library.upload
- Cli: content library upload

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 300
    },
    "content": {
      "type": "string",
      "minLength": 1
    },
    "contentType": {
      "type": "string",
      "maxLength": 200
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "string",
        "maxLength": 60
      },
      "maxItems": 20
    }
  },
  "required": [
    "name",
    "content"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/library' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "content": "string"
}'
```
